v 15.0 Third Party 5467
Download for v 15.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Included Dependencies
Lines of code 24599
Technical Name dynamic_accounts_report
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 14.0 v 16.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Lines of code 24599
Technical Name dynamic_accounts_report
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 14.0 v 16.0
Community

Odoo 15 Dynamic Financial Reports

A Module for accounting reports

Overview

The Financial Reports module helps in accessing the various reports in the Odoo Community edition, which supports a dynamic view. You can use the Filters and Group by tools to get the data according to your requirement. Moreover, the reports which can be accessed are Dynamic Accounting General Ledger, Trial Balance, Balance Sheet, Profit and Loss, Cash Flow Statements, Partner Ledger, Partner Ageing, Daybook, Bankbook, and Cashbook Reports in Odoo 14 community edition. Additionally, the users can also print the reports in PDF and XLSX Format.

Features

Various Filters to Compare

Option to compare report values with various filtering tools available.

Print reports in PDF and XLSX Format

You can print the reports in both the PDF and XLSX format.

Access the Journal Entries

Easy access to the corresponding journal entries directly from the dynamic report view.

Drill-down Approach in Reports

The user can drill down from the main report to the journal entries. You can open the form view of each journal entry and view the complete details here.

Configurable Financial Reports

Backend configuration for financial reports, you can configure the hierarchy of financial reports.

Screenshots

Dynamic Financial Reports Menu

Financial Reports Configuration

General Ledger

General Ledger Drill-Down View

Filters in General Ledger

(Custom Date Range, Journals, Accounts, Analytic Accounts, Analytic Tags & Target Move)

Option to view source move in General Ledger

General Ledger Journal Entry

Trial Balance Report

General Ledger view from Trial Balance

General Ledger Wizard with Drill-down view

Filters Applied in Trial Balance

(Custom Date Range, Journals & Target Move )

Journal Entry from Trial Balance

Trial Balance PDF Report

Trial Balance XLSX Report

Balance Sheet

View General Ledger from Balance Sheet

General Ledger Wizard with Drill down view

Filters Applied in Balance Sheet

(Custom Date Range, Journals, Accounts, Account Tags, Analytic Accounts, Analytic Tags & Target Move)

Balance Sheet PDF Report

Balance Sheet XLSX Report

Profit and Loss Account

View General Ledger from Balance Sheet

Filters Applied in Profit and Loss

(Custom Date Range, Journals, Accounts, Account Tags, Analytic Accounts, Analytic Tags & Target Move)

View General Ledger from Profit and Loss

View Source Move from General Ledger Wizard

Profit and Loss PDF Report

Profit and Loss XLSX Report

Partner Ledger Report

Partner Ledger Drill Down view

Filters in Partner Ledger

(Custom Date Range, Partner, Accounts, Account Tags, Analytic Accounts, Analytic Tags & Target Move)

View Source move from Partner Ledger

Journal Entry from Partner Ledger

Partner Ledger PDF Report

Partner Ledger XLSX Report

Aged Partner Balance Report

Aged Partner Balance Drill Down

Filters in Partner Ageing Report

(Custom Date Range, Partners, Partner Tags, Account Type, & Target Move)

View source move from Partner Ageing

Partner Ageing PDF Report

Partner Ageing XLSX Report

Cash Flow Statements Report

Cash Flow Statements Drill Down view

Filters in Cash Flow Statement

(Custom Date Range, Level & Target Move)

Different Levels in Cash Flow Statement

Cash Flow Statement Summary

Consolidated Cash Flow Statement

Cash Flow Statement Detailed View

Cash Flow Statement PDF Report

Cash Flow Statement XLSX Report

Cash Book Report

Filters in Cash Book Report

(Custom Date Range, Accounts, Journals, Analytic Accounts, Anlaytic Tags & Target Move)

Cash Book Report Drill Down view

View Source move from Cash Book Report

Journal Entry from Cash Book Report

Cash Book PDF Report

Cash Book XLSX Report

Bank Book Report

Filters in Bank Book Report

(Custom Date Range, Accounts, Journals, Analytic Accounts, Anlaytic Tags & Target Move)

Bank Book Report Drill Down view

View Source move from Bank Book Report

Journal Entry from Bank Book Report

Bank Book PDF Report

Bank Book XLSX Report

Day Book Report

Filters in Day Book Report

(Custom Date Range, Accounts, Journals & Target Move)

Day Book Report Drill Down view

View Source move from Day Book Report

Journal Entry from Day Book Report

Day Book PDF Report

Day Book XLSX Report

Suggested Products


Our Services


Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries


Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
by
ahmed xoosh
on 11/3/22, 1:12 PM

Partner Ledger
by
jamil.hammadi@gmail.com
on 8/21/22, 6:53 AM

This app is very helpful

Kindly check the Partner Ledger only shows Unreconciled entries , I try v 14 and 15 and get the same result,



when I create a new invoice or bill it shows normally when payment Done, it does not appear at the Partner Ledger, so please advise.



BR 



how to fix this ??
by
kabir
on 6/17/22, 5:04 AM

UncaughtPromiseError > KeyNotFoundError

Uncaught Promise > Cannot find crm_dashboard in this registry!

KeyNotFoundError: Cannot find crm_dashboard in this registry!

    at Registry.get (/web/assets/307-2a9856e/web.assets_backend.min.js:936:76)

    at _executeClientAction (web/assets/307-2a9856e/web.assets_backend.min.js:2284:87)

    at Object.doAction (web/assets/307-2a9856e/web.assets_backend.min.js:2301:192)

    at async Object.selectMenu (web/assets/307-2a9856e/web.assets_backend.min.js:2404:1)


by
hidayatt002@gmail.com
on 6/3/22, 8:46 AM

hello i have some error when klik export xlsx and pdf


UncaughtClientError > TypeError

Uncaught Javascript Error > Cannot read properties of undefined (reading 'trigger')

TypeError: Cannot read properties of undefined (reading 'trigger')
    at OdooClass._trigger_up (http://10.0.0.7:8069/web/assets/165-4d8aec0/web.assets_common.min.js:4864:378)
    at OdooClass.trigger_up (http://10.0.0.7:8069/web/assets/165-4d8aec0/web.assets_common.min.js:4864:280)
    at OdooClass.call (http://10.0.0.7:8069/web/assets/165-4d8aec0/web.assets_common.min.js:4917:372)
    at Object.error (http://10.0.0.7:8069/web/assets/245-3245059/web.assets_backend.min.js:12598:597)
    at decoder.onload (http://10.0.0.7:8069/web/assets/165-4d8aec0/web.assets_common.min.js:4692:9)

it's beautiful craft , but I'm facing issues with RTL and the headers arrangements
by
Zaid Kilani
on 4/21/22, 9:55 AM


Re: it's beautiful craft , but I'm facing issues with RTL and the headers arrangements
by
Cybrosys Technologies
on 4/22/22, 7:56 AM Author

Hello Zaid,
Could you please send an email to odoo@cybrosys.com with some screenshots and steps to reproduce?
We will do the needful.


by
Muhammad Eltyar
on 3/18/22, 8:38 AM

thank you very much for this module, but we got the below error when choosing the dynamic Trial Balance report from the accounting module.

Traceback (most recent call last):
  File "/odoo15/odoo15-server/odoo/http.py", line 644, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo15/odoo15-server/odoo/http.py", line 302, in _handle_exception
    raise exception.with_traceback(None) from new_cause
psycopg2.errors.SyntaxError: syntax error at or near "jrnl"
LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (a...

good app
by
ibrahim.karout98@gmail.com
on 12/22/21, 7:30 AM

but in Arabic (RTL)  VIEW WILL BE MIXED

Re: good app
by
Cybrosys Technologies
on 12/22/21, 11:37 AM Author

We are working on it


by
Hajaj Roshan
on 12/20/21, 1:50 AM



Calendar JS files use official, otherwise cannot translate the language of the country and the date format of the country
by
gavinguo
on 11/28/21, 2:15 AM
  • 1.This module is great, but exporting Excel to non-English speaking countries will make mistakes;

2. Calendar JS files use official, otherwise cannot translate the language of the country and the date format of the country.

Re: Calendar JS files use official, otherwise cannot translate the language of the country and the date format of the country
by
Cybrosys Technologies
on 11/29/21, 4:13 AM Author

Thanks for reporting, We will check and get back to you.


amazing add- on module
by
ahmed xoosh
on 11/3/22, 1:12 PM

waiting  for  odoo v16  


error
by
shekhar.gokhale@gmail.com
on 11/1/22, 11:00 AM

when we open any report and drill down to another it opens in another window but from that window unable to drilldown


It's very good module
by
rashad@skiesltd.com
on 10/22/22, 6:43 AM

I have this error when I open againg report

Error:
Odoo Server Error

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/odoo/odoo-server/odoo/http.py", line 685, in dispatch
result = self._call_function(**self.params)
File "/odoo/odoo-server/odoo/http.py", line 361, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/odoo/odoo-server/odoo/http.py", line 349, in checked_call
result = self.endpoint(*a, **kw)
File "/odoo/odoo-server/odoo/http.py", line 914, in __call__
return self.method(*args, **kw)
File "/odoo/odoo-server/odoo/http.py", line 533, in response_wrap
response = f(*args, **kw)
File "/odoo/odoo-server/addons/web/controllers/main.py", line 1394, in call_kw
return self._call_kw(model, method, args, kwargs)
File "/odoo/odoo-server/addons/web/controllers/main.py", line 1386, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/odoo/odoo-server/odoo/api.py", line 395, in call_kw
result = _call_kw_model(method, model, args, kwargs)
File "/odoo/odoo-server/odoo/api.py", line 368, in _call_kw_model
result = method(recs, *args, **kwargs)
File "/odoo/custom/addons/dynamic_accounts_report/wizard/ageing.py", line 59, in view_report
records = self._get_report_values(data)
File "/odoo/custom/addons/dynamic_accounts_report/wizard/ageing.py", line 149, in _get_report_values
account_res = self._get_partner_move_lines(data, partners, date_from,
File "/odoo/custom/addons/dynamic_accounts_report/wizard/ageing.py", line 315, in _get_partner_move_lines
lines[partner_id].append({
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/http.py", line 641, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/odoo/odoo-server/odoo/http.py", line 317, in _handle_exception
raise exception.with_traceback(None) from new_cause
KeyError: False


by
rashad@skiesltd.com
on 10/22/22, 6:41 AM



by
shekhar.gokhale@gmail.com
on 10/12/22, 8:46 AM

if we open balance sheet report we can export it to excel but if we drill down debtors or creditors it opens wizard showing entries from that wizard we are unable to export it to excel


Validation Error (Dynamic Financial Reports) while Installing
by
sarath
on 9/21/22, 5:00 AM


Validation Error (Dynamic Financial Reports) while Installing

The operation cannot be completed: another model requires the record being deleted. If possible, archive it instead. Model: Follow-up Criteria (followup.line), Constraint: followup_line_followup_id_fkey


While adding Dynamic Report (Validation Error)
by
sarath
on 9/21/22, 2:39 AM

While installing Dynamic Report

Validation Error

×

The operation cannot be completed: another model requires the record being deleted. If possible, archive it instead. Model: Follow-up Criteria (followup.line), Constraint: followup_line_followup_id_fkey



Any soulation
by
atif
on 8/30/22, 4:26 AM

Traceback (most recent call last):
  File "/home/forever/odoo/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/home/forever/odoo/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
psycopg2.errors.SyntaxError: syntax error at or near "jrnl"
LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (a...


by
STEPHANE SANOU
on 8/23/22, 7:51 PM

UncaughtPromiseError > KeyNotFoundError

Uncaught Promise > Cannot find t_b in this registry!

KeyNotFoundError: Cannot find t_b in this registry!

    at Registry.get (http://localhost:8069/web/assets/130-73a2316/web.assets_backend.min.js:938:76)

    at _executeClientAction (http://localhost:8069/web/assets/130-73a2316/web.assets_backend.min.js:2293:87)

    at Object.doAction (http://localhost:8069/web/assets/130-73a2316/web.assets_backend.min.js:2310:192)

    at async Object.selectMenu (http://localhost:8069/web/assets/130-73a2316/web.assets_backend.min.js:2413:1)


UncaughtPromiseError > KeyNotFoundError Uncaught Promise > Cannot find dfr_n in this registry!
by
Mohammad A Abdoh
on 7/3/22, 6:09 AM

hello,

Fantastic addon feature. but can't open it...retried reinstall many times as well as upgrading but no luck

this is a print screen of the fault message. 

 *** I am on a private server running community edition**

Thanks Again!!!

KeyNotFoundError: Cannot find dfr_n in this registry!
    at Registry.get (https://---------------.net/web/assets/773-f89ebbe/web.assets_backend.min.js:926:76)
    at _executeClientAction (https://-----------.net/web/assets/773-f89ebbe/web.assets_backend.min.js:2268:87)
    at Object.doAction (https://--------------------.net/web/assets/773-f89ebbe/web.assets_backend.min.js:2285:192)
    at async Object.selectMenu (https://odoo-----------------.net/web/assets/773-f89ebbe/web.assets_backend.min.js:2386:1)

 


Error in total Expenses in P&L
by
Talal Albahra
on 6/29/22, 10:01 PM

Hello,

Thanks for this application, but I found a problem in it:

in the "Profit and Loss" report, the accounts of category "Cost of Revenue" are being duplicated under the Expenses group which is duplicating the deduction of them from the Gross Profit and leading to a wrong Net Profit,

Unfortunately, this also is affecting the "Balance Sheet" report as it is calculating the net profit is calculated with the same mistake, and this is causing difference in the "Balance Sheet" report as well (imbalance)

Please fix this, and please also add an option to view/hide the Debit & Credit columns.

Regards,


by
kabir
on 6/17/22, 5:01 AM

UncaughtPromiseError > KeyNotFoundError

Uncaught Promise > Cannot find crm_dashboard in this registry!

KeyNotFoundError: Cannot find crm_dashboard in this registry!

    at Registry.get (https://erp.primacyinfotech.com/web/assets/307-2a9856e/web.assets_backend.min.js:936:76)

    at _executeClientAction (https://erp.primacyinfotech.com/web/assets/307-2a9856e/web.assets_backend.min.js:2284:87)

    at Object.doAction (https://erp.primacyinfotech.com/web/assets/307-2a9856e/web.assets_backend.min.js:2301:192)

    at async Object.selectMenu (https://erp.primacyinfotech.com/web/assets/307-2a9856e/web.assets_backend.min.js:2404:1)


General Ledger export errors; Partner Ledger missing reconciled entries
by
Mohammad Farooq
on 6/14/22, 2:36 PM

On general ledger page, both XLSX and PDF export options give different errors.

On XLSX export, I get this error:

UncaughtClientError > TypeError
Uncaught Javascript Error > Cannot read properties of undefined (reading 'trigger')
TypeError: Cannot read properties of undefined (reading 'trigger')
    at OdooClass._trigger_up (http://x.x.x.x:8069/web/assets/586-0a12f9d/web.assets_common.min.js:4864:378)
    at OdooClass.trigger_up (http://x.x.x.x:8069/web/assets/586-0a12f9d/web.assets_common.min.js:4864:280)
    at OdooClass.call (http://x.x.x.x:8069/web/assets/586-0a12f9d/web.assets_common.min.js:4917:372)
    at Object.error (http://x.x.x.x:8069/web/assets/589-79db435/web.assets_backend.min.js:14113:597)
    at decoder.onload (http://x.x.x.x:8069/web/assets/586-0a12f9d/web.assets_common.min.js:4692:9)


On PDF export I get this error:
RPC_ERROR

Odoo Server Error

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "<template_2534>", line 560, in template_2534
  File "<template_2534>", line 549, in t_call_content
  File "<template_2534>", line 360, in t_call_content
KeyError: 'move_lines'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 2028, in report_download
    response = self.report_routes(reportname, converter=converter, context=context, **data)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/report_xlsx/controllers/main.py", line 47, in report_routes
    return super(ReportController, self).report_routes(
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1950, in report_routes
    pdf = report.with_context(context)._render_qweb_pdf(docids, data=data)[0]
  File "/usr/lib/python3/dist-packages/odoo/addons/account/models/ir_actions_report.py", line 49, in _render_qweb_pdf
    return super()._render_qweb_pdf(res_ids=res_ids, data=data)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions_report.py", line 838, in _render_qweb_pdf
    html = self_sudo.with_context(context)._render_qweb_html(res_ids, data=data)[0]
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions_report.py", line 882, in _render_qweb_html
    return self._render_template(self.report_name, data), 'html'
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions_report.py", line 619, in _render_template
    return view_obj._render_template(template, values).encode()
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1985, in _render_template
    return self.browse(self.get_view_id(template))._render(values, engine)
  File "/usr/lib/python3/dist-packages/odoo/addons/website/models/ir_ui_view.py", line 433, in _render
    return super(View, self)._render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/usr/lib/python3/dist-packages/odoo/addons/web_editor/models/ir_ui_view.py", line 29, in _render
    return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1993, in _render
    return self.env[engine]._render(self.id, qcontext)
  File "/usr/lib/python3/dist-packages/odoo/tools/profiler.py", line 289, in _tracked_method_render
    return method_render(self, template, values, **options)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_qweb.py", line 76, in _render
    result = super()._render(template, values=values, **compile_options)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 134, in _render
    result = ''.join(rendering)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 223, in render_template
    raise QWebException("Error when render the template", self, options,
odoo.addons.base.models.qweb.QWebException: 'move_lines'
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "<template_2534>", line 560, in template_2534
  File "<template_2534>", line 549, in t_call_content
  File "<template_2534>", line 360, in t_call_content
KeyError: 'move_lines'
Error when render the template
KeyError: 'move_lines'
Template: 2534
Path: /t/t/t[4]/div/div[2]/table/tbody/t/tr[2]
Node: <tr t-foreach="account['move_lines']" t-as="line"/>

Strangely enough, these errors occur on general ledger page.

Another problem is with partner ledger. Invoices that have been fully reconciled do not show up on this page, only open invoices show.




missing Balance on Trial Balance
by
Mr Islam Gaber
on 6/2/22, 3:21 PM

missing Balance on Trial Balance


Error after installed module
by
Muhammad
on 5/13/22, 2:02 AM

after i installed addon there was error if i open and tabs in dynamic finical report 


KeyNotFoundError: Cannot find dfr_n in this registry!
    at Registry.get (http://localhost:8069/web/assets/425-8f8c7c2/web.assets_backend.min.js:936:76)
    at _executeClientAction (http://localhost:8069/web/assets/425-8f8c7c2/web.assets_backend.min.js:2284:87)
    at Object.doAction (http://localhost:8069/web/assets/425-8f8c7c2/web.assets_backend.min.js:2301:192)
    at async Object.selectMenu (http://localhost:8069/web/assets/425-8f8c7c2/web.assets_backend.min.js:2404:1)

Re: Error on Trial Balance report
by
Okeleke Mike
on 5/8/22, 2:04 AM

Thank you for the good work
Downloaded the latest version and it now works fine 

Thnaks

Re: Re: Error on Trial Balance report
by
Cybrosys Technologies
on 5/10/22, 12:12 AM Author

Thanks for letting us know.


Error on Trial Balance report
by
Okeleke Mike
on 4/30/22, 5:53 PM

Good work as usual
but the Trial Balance report gives an error 

Re: Error on Trial Balance report
by
Cybrosys Technologies
on 5/3/22, 11:31 PM Author

Hello, Could you please provide more details? We couldn't reproduce any error in the trial balance report. You can email us at odoo@cybrosys.com


error in trail-balance when open
by
Ahmed Hassan
on 2/21/22, 9:35 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 688, in dispatch

    result = self._call_function(**self.params)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 349, in checked_call

    result = self.endpoint(*a, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 917, in __call__

    return self.method(*args, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 536, in response_wrap

    response = f(*args, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/addons/web/controllers/main.py", line 1335, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/addons/web/controllers/main.py", line 1327, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/api.py", line 460, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/api.py", line 433, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 52, in view_report

    records = self._get_report_values(data)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 135, in _get_report_values

    account_res = self._get_accounts(accounts, display_account, data)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 195, in _get_accounts

    self.env.cr.execute(request, params)

  File "<decorator-gen-3>", line 2, in execute

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/sql_db.py", line 310, in execute

    res = self._obj.execute(query, params)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 644, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 302, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.errors.SyntaxError: syntax error at or near "jrnl"

LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (a...

                                                             ^


Re: error in trail-balance when open
by
Cybrosys Technologies
on 5/3/22, 11:29 PM Author

Hello, Thanks for reporting. We have updated the module.


When try to open trial balance , error
by
Ahmed Hassan
on 2/21/22, 9:34 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 688, in dispatch

    result = self._call_function(**self.params)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 349, in checked_call

    result = self.endpoint(*a, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 917, in __call__

    return self.method(*args, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 536, in response_wrap

    response = f(*args, **kw)

  File "/home/ahmed/odoo-env/odoo15/odoo/addons/web/controllers/main.py", line 1335, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/addons/web/controllers/main.py", line 1327, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/api.py", line 460, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/api.py", line 433, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 52, in view_report

    records = self._get_report_values(data)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 135, in _get_report_values

    account_res = self._get_accounts(accounts, display_account, data)

  File "/home/ahmed/odoo-env/odoo15/addons/dynamic_accounts_report/wizard/trial_balance.py", line 195, in _get_accounts

    self.env.cr.execute(request, params)

  File "<decorator-gen-3>", line 2, in execute

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/sql_db.py", line 89, in check

    return f(self, *args, **kwargs)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/sql_db.py", line 310, in execute

    res = self._obj.execute(query, params)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 644, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/home/ahmed/odoo-env/odoo15/odoo/odoo/http.py", line 302, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.errors.SyntaxError: syntax error at or near "jrnl"

LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (a...

                                                             ^



Very good module but it bugs
by
ryad
on 1/24/22, 9:32 PM

Hi,

Very good job, your module is very usefull  .

Ther is an error when try to print report, it's bellow

UncaughtPromiseError > KeyNotFoundError

Uncaught Promise > Cannot find dfr_n in this registry!


Re: Very good module but it bugs
by
Cybrosys Technologies
on 1/24/22, 11:52 PM Author

Thanks for reporting, We will check and update ASAP


by
Mohammad Farooq
on 1/19/22, 2:46 PM

Sorry, it doesn't break tax report, that's a different module (report_xlsx).

This module gives the following error in trial balance:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 688, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 360, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 349, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 917, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 536, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1335, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1327, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 460, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 433, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/trial_balance.py", line 52, in view_report
    records = self._get_report_values(data)
  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/trial_balance.py", line 135, in _get_report_values
    account_res = self._get_accounts(accounts, display_account, data)
  File "/usr/lib/python3/dist-packages/odoo/addons/dynamic_accounts_report/wizard/trial_balance.py", line 195, in _get_accounts
    self.env.cr.execute(request, params)
  File "<decorator-gen-3>", line 2, in execute
  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 89, in check
    return f(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 310, in execute
    res = self._obj.execute(query, params)
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 644, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 302, in _handle_exception
    raise exception.with_traceback(None) from new_cause
psycopg2.errors.SyntaxError: syntax error at or near "jrnl"
LINE 1: ...alance FROM account_move_lineJOIN account_journal jrnl ON (a...
                                                             ^

Breaks something
by
Mohammad Farooq
on 1/19/22, 2:36 PM

This module breaks tax report, and trial balance gives syntax error.


by
a7med.nor@gmail.com
on 1/12/22, 1:07 PM

are you fixed RTL Issue ?


Re:
by
Cybrosys Technologies
on 1/17/22, 2:33 AM Author

If you are facing any issues, Please write to us on odoo@cybrosys.com


by
Ahmed metla
on 1/10/22, 4:50 AM

good job thanks for your effort 

but trial balance report does not work

UndefinedTable: missing FROM-clause entry for table "account_move_line__move_id
Re:
by
Cybrosys Technologies
on 1/10/22, 5:34 AM Author

We will look into that.


Calendar JS files use official, otherwise cannot translate the language of the country and the date format of the country
by
gavinguo
on 11/28/21, 2:15 AM
  • 1.This module is great, but exporting Excel to non-English speaking countries will make mistakes;

2. Calendar JS files use official, otherwise cannot translate the language of the country and the date format of the country.


language problem
by
Contabilidad
on 10/27/21, 10:10 AM

This modules generate report that are goods, but if i change de language from english to spanish the balance sheet doesn´t work.

I try to genere po translation file but the problem appear doesn´t have solution


Re: language problem
by
Cybrosys Technologies
on 10/27/21, 11:21 AM Author

Thanks for reporting. We will look into it